## u-boot-linaro 2011.09.6

=== common/Makefile ===
#
# (C) Copyright 2004-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)libcommon.o

# core
ifndef CONFIG_SPL_BUILD
COBJS-y += main.o
COBJS-y += command.o
COBJS-y += dlmalloc.o
COBJS-y += exports.o
COBJS-$(CONFIG_SYS_HUSH_PARSER) += hush.o
COBJS-y += image.o
COBJS-y += s_record.o
COBJS-$(CONFIG_SERIAL_MULTI) += serial.o
COBJS-y += xyzModem.o

# core command
COBJS-y += cmd_boot.o
COBJS-$(CONFIG_CMD_BOOTM) += cmd_bootm.o
COBJS-y += cmd_help.o
COBJS-y += cmd_nvedit.o
COBJS-y += cmd_version.o

# environment
COBJS-y += env_common.o
COBJS-$(CONFIG_ENV_IS_IN_DATAFLASH) += env_dataflash.o
COBJS-$(CONFIG_ENV_IS_IN_EEPROM) += env_eeprom.o
XCOBJS-$(CONFIG_ENV_IS_EMBEDDED) += env_embedded.o
COBJS-$(CONFIG_ENV_IS_IN_EEPROM) += env_embedded.o
XCOBJS-$(CONFIG_ENV_IS_IN_FLASH) += env_embedded.o
COBJS-$(CONFIG_ENV_IS_IN_NVRAM) += env_embedded.o
COBJS-$(CONFIG_ENV_IS_IN_FLASH) += env_flash.o
COBJS-$(CONFIG_ENV_IS_IN_MG_DISK) += env_mgdisk.o
COBJS-$(CONFIG_ENV_IS_IN_MMC) += env_mmc.o
COBJS-$(CONFIG_ENV_IS_IN_NAND) += env_nand.o
COBJS-$(CONFIG_ENV_IS_IN_NVRAM) += env_nvram.o
COBJS-$(CONFIG_ENV_IS_IN_ONENAND) += env_onenand.o
COBJS-$(CONFIG_ENV_IS_IN_SPI_FLASH) += env_sf.o
COBJS-$(CONFIG_ENV_IS_NOWHERE) += env_nowhere.o

# command
COBJS-$(CONFIG_CMD_AMBAPP) += cmd_ambapp.o
COBJS-$(CONFIG_SOURCE) += cmd_source.o
COBJS-$(CONFIG_CMD_SOURCE) += cmd_source.o
COBJS-$(CONFIG_CMD_BDI) += cmd_bdinfo.o
COBJS-$(CONFIG_CMD_BEDBUG) += bedbug.o cmd_bedbug.o
COBJS-$(CONFIG_CMD_BMP) += cmd_bmp.o
COBJS-$(CONFIG_CMD_BOOTLDR) += cmd_bootldr.o
COBJS-$(CONFIG_CMD_CACHE) += cmd_cache.o
COBJS-$(CONFIG_CMD_CONSOLE) += cmd_console.o
COBJS-$(CONFIG_CMD_CPLBINFO) += cmd_cplbinfo.o
COBJS-$(CONFIG_DATAFLASH_MMC_SELECT) += cmd_dataflash_mmc_mux.o
COBJS-$(CONFIG_CMD_DATE) += cmd_date.o
ifdef CONFIG_4xx
COBJS-$(CONFIG_CMD_SETGETDCR) += cmd_dcr.o
endif
ifdef CONFIG_POST
COBJS-$(CONFIG_CMD_DIAG) += cmd_diag.o
endif
COBJS-$(CONFIG_CMD_DISPLAY) += cmd_display.o
COBJS-$(CONFIG_CMD_DTT) += cmd_dtt.o
COBJS-$(CONFIG_CMD_ECHO) += cmd_echo.o
COBJS-$(CONFIG_ENV_IS_IN_EEPROM) += cmd_eeprom.o
COBJS-$(CONFIG_CMD_EEPROM) += cmd_eeprom.o
COBJS-$(CONFIG_CMD_ELF) += cmd_elf.o
COBJS-$(CONFIG_SYS_HUSH_PARSER) += cmd_exit.o
COBJS-$(CONFIG_CMD_EXT2) += cmd_ext2.o
COBJS-$(CONFIG_CMD_FAT) += cmd_fat.o
COBJS-$(CONFIG_CMD_FDC)$(CONFIG_CMD_FDOS) += cmd_fdc.o
COBJS-$(CONFIG_OF_LIBFDT) += cmd_fdt.o fdt_support.o
COBJS-$(CONFIG_CMD_FDOS) += cmd_fdos.o
COBJS-$(CONFIG_CMD_FITUPD) += cmd_fitupd.o
COBJS-$(CONFIG_CMD_FLASH) += cmd_flash.o
ifdef CONFIG_FPGA
COBJS-$(CONFIG_CMD_FPGA) += cmd_fpga.o
endif
COBJS-$(CONFIG_CMD_GPIO) += cmd_gpio.o
COBJS-$(CONFIG_CMD_I2C) += cmd_i2c.o
COBJS-$(CONFIG_CMD_IDE) += cmd_ide.o
COBJS-$(CONFIG_CMD_IMMAP) += cmd_immap.o
COBJS-$(CONFIG_CMD_IRQ) += cmd_irq.o
COBJS-$(CONFIG_CMD_ITEST) += cmd_itest.o
COBJS-$(CONFIG_CMD_JFFS2) += cmd_jffs2.o
COBJS-$(CONFIG_CMD_CRAMFS) += cmd_cramfs.o
COBJS-$(CONFIG_CMD_LDRINFO) += cmd_ldrinfo.o
COBJS-$(CONFIG_CMD_LED) += cmd_led.o
COBJS-$(CONFIG_CMD_LICENSE) += cmd_license.o
COBJS-y += cmd_load.o
COBJS-$(CONFIG_LOGBUFFER) += cmd_log.o
COBJS-$(CONFIG_ID_EEPROM) += cmd_mac.o
COBJS-$(CONFIG_CMD_MD5SUM) += cmd_md5sum.o
COBJS-$(CONFIG_CMD_MEMORY) += cmd_mem.o
COBJS-$(CONFIG_CMD_MFSL) += cmd_mfsl.o
COBJS-$(CONFIG_CMD_MG_DISK) += cmd_mgdisk.o
COBJS-$(CONFIG_MII) += miiphyutil.o
COBJS-$(CONFIG_CMD_MII) += miiphyutil.o
COBJS-$(CONFIG_PHYLIB) += miiphyutil.o
COBJS-$(CONFIG_CMD_MII) += cmd_mii.o
ifdef CONFIG_PHYLIB
COBJS-$(CONFIG_CMD_MII) += cmd_mdio.o
endif
COBJS-$(CONFIG_CMD_MISC) += cmd_misc.o
COBJS-$(CONFIG_CMD_MMC) += cmd_mmc.o
COBJS-$(CONFIG_CMD_MMC_SPI) += cmd_mmc_spi.o
COBJS-$(CONFIG_MP) += cmd_mp.o
COBJS-$(CONFIG_CMD_MTDPARTS) += cmd_mtdparts.o
COBJS-$(CONFIG_CMD_NAND) += cmd_nand.o
COBJS-$(CONFIG_CMD_NET) += cmd_net.o
COBJS-$(CONFIG_CMD_ONENAND) += cmd_onenand.o
COBJS-$(CONFIG_CMD_OTP) += cmd_otp.o
ifdef CONFIG_PCI
COBJS-$(CONFIG_CMD_PCI) += cmd_pci.o
endif
COBJS-y += cmd_pcmcia.o
COBJS-$(CONFIG_CMD_PORTIO) += cmd_portio.o
COBJS-$(CONFIG_CMD_PXE) += cmd_pxe.o
COBJS-$(CONFIG_CMD_REGINFO) += cmd_reginfo.o
COBJS-$(CONFIG_CMD_REISER) += cmd_reiser.o
COBJS-$(CONFIG_CMD_SATA) += cmd_sata.o
COBJS-$(CONFIG_CMD_SF) += cmd_sf.o
COBJS-$(CONFIG_CMD_SCSI) += cmd_scsi.o
COBJS-$(CONFIG_CMD_SHA1SUM) += cmd_sha1sum.o
COBJS-$(CONFIG_CMD_SETEXPR) += cmd_setexpr.o
COBJS-$(CONFIG_CMD_SPI) += cmd_spi.o
COBJS-$(CONFIG_CMD_SPIBOOTLDR) += cmd_spibootldr.o
COBJS-$(CONFIG_CMD_STRINGS) += cmd_strings.o
COBJS-$(CONFIG_CMD_TERMINAL) += cmd_terminal.o
COBJS-$(CONFIG_SYS_HUSH_PARSER) += cmd_test.o
COBJS-$(CONFIG_CMD_TSI148) += cmd_tsi148.o
COBJS-$(CONFIG_CMD_UBI) += cmd_ubi.o
COBJS-$(CONFIG_CMD_UBIFS) += cmd_ubifs.o
COBJS-$(CONFIG_CMD_UNIVERSE) += cmd_universe.o
COBJS-$(CONFIG_CMD_UNZIP) += cmd_unzip.o
ifdef CONFIG_CMD_USB
COBJS-y += cmd_usb.o
COBJS-y += usb.o
COBJS-$(CONFIG_USB_STORAGE) += usb_storage.o
endif
COBJS-$(CONFIG_CMD_XIMG) += cmd_ximg.o
COBJS-$(CONFIG_YAFFS2) += cmd_yaffs2.o

# others
COBJS-$(CONFIG_DDR_SPD) += ddr_spd.o
COBJS-$(CONFIG_HWCONFIG) += hwconfig.o
COBJS-$(CONFIG_CONSOLE_MUX) += iomux.o
COBJS-y += flash.o
COBJS-$(CONFIG_CMD_KGDB) += kgdb.o kgdb_stubs.o
COBJS-$(CONFIG_KALLSYMS) += kallsyms.o
COBJS-$(CONFIG_LCD) += lcd.o
COBJS-$(CONFIG_LYNXKDI) += lynxkdi.o
COBJS-$(CONFIG_MENU) += menu.o
COBJS-$(CONFIG_MODEM_SUPPORT) += modem.o
COBJS-$(CONFIG_UPDATE_TFTP) += update.o
COBJS-$(CONFIG_USB_KEYBOARD) += usb_kbd.o
endif

COBJS-y += console.o
COBJS-y += memsize.o
COBJS-y += stdio.o


COBJS	:= $(sort $(COBJS-y))
XCOBJS	:= $(sort $(XCOBJS-y))
SRCS	:= $(COBJS:.o=.c) $(XCOBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
XOBJS	:= $(addprefix $(obj),$(XCOBJS))

CPPFLAGS += -I..

all:	$(LIB) $(XOBJS)

$(LIB): $(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

$(obj)env_embedded.o: $(src)env_embedded.c $(obj)../tools/envcrc
	$(CC) $(AFLAGS) -Wa,--no-warn \
		-DENV_CRC=$(shell $(obj)../tools/envcrc) \
		-c -o $@ $(src)env_embedded.c

$(obj)../tools/envcrc:
	$(MAKE) -C ../tools

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== lib/Makefile ===
#
# (C) Copyright 2000-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)libgeneric.o

ifndef CONFIG_SPL_BUILD
COBJS-$(CONFIG_ADDR_MAP) += addr_map.o
COBJS-$(CONFIG_BZIP2) += bzlib.o
COBJS-$(CONFIG_BZIP2) += bzlib_crctable.o
COBJS-$(CONFIG_BZIP2) += bzlib_decompress.o
COBJS-$(CONFIG_BZIP2) += bzlib_randtable.o
COBJS-$(CONFIG_BZIP2) += bzlib_huffman.o
COBJS-$(CONFIG_USB_TTY) += circbuf.o
COBJS-y += crc7.o
COBJS-y += crc16.o
COBJS-y += crc32.o
COBJS-y += display_options.o
COBJS-y += errno.o
COBJS-$(CONFIG_GZIP) += gunzip.o
COBJS-y += hashtable.o
COBJS-$(CONFIG_LMB) += lmb.o
COBJS-y += ldiv.o
COBJS-$(CONFIG_MD5) += md5.o
COBJS-y += net_utils.o
COBJS-y += qsort.o
COBJS-$(CONFIG_SHA1) += sha1.o
COBJS-$(CONFIG_SHA256) += sha256.o
COBJS-y	+= strmhz.o
COBJS-$(CONFIG_RBTREE)	+= rbtree.o
endif

COBJS-y += ctype.o
COBJS-y += div64.o
COBJS-y += string.o
COBJS-y += time.o
COBJS-$(CONFIG_BOOTP_PXE) += uuid.o
COBJS-y += vsprintf.o

COBJS	:= $(COBJS-y)
SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== drivers/misc/Makefile ===
#
# (C) Copyright 2000-2007
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	:= $(obj)libmisc.o

COBJS-$(CONFIG_ALI152X) += ali512x.o
COBJS-$(CONFIG_DS4510)  += ds4510.o
COBJS-$(CONFIG_FSL_LAW) += fsl_law.o
COBJS-$(CONFIG_FSL_PMIC) += fsl_pmic.o
COBJS-$(CONFIG_GPIO_LED) += gpio_led.o
COBJS-$(CONFIG_FSL_MC9SDZ60) += mc9sdz60.o
COBJS-$(CONFIG_NS87308) += ns87308.o
COBJS-$(CONFIG_PDSP188x) += pdsp188x.o
COBJS-$(CONFIG_STATUS_LED) += status_led.o
COBJS-$(CONFIG_TWL4030_LED) += twl4030_led.o
COBJS-$(CONFIG_DIALOG_PMIC) += dialog_pmic.o

COBJS	:= $(COBJS-y)
SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

all:	$(LIB)

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== arch/sh/lib/Makefile ===
#
# Copyright (c) 2007
# Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(ARCH).o
LIBGCC	= $(obj)libgcc.o

SOBJS-y	+=
GLSOBJS	+= ashiftrt.o
GLSOBJS	+= ashiftlt.o
GLSOBJS	+= lshiftrt.o
GLSOBJS	+= ashldi3.o
GLSOBJS	+= lshrdi3.o
GLSOBJS	+= movmem.o

COBJS-y	+= board.o
COBJS-y	+= bootm.o
ifeq ($(CONFIG_SH2),y)
COBJS-y	+= time_sh2.o
else
COBJS-y	+= time.o
endif
ifeq ($(CONFIG_CMD_SH_ZIMAGEBOOT),y)
COBJS-y += zimageboot.o
endif

SRCS	:= $(SOBJS-y:.o=.S) $(COBJS-y:.o=.c)
OBJS	:= $(addprefix $(obj),$(SOBJS-y) $(COBJS-y))
LGOBJS	:= $(addprefix $(obj),$(GLSOBJS)) \
	   $(addprefix $(obj),$(GLCOBJS))

# Always build libsh.o
TARGETS	:= $(LIB)

# Build private libgcc only when asked for
ifdef USE_PRIVATE_LIBGCC
TARGETS	+= $(LIBGCC)
endif

all:	$(TARGETS)

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

$(LIBGCC): $(obj).depend $(LGOBJS)
	$(call cmd_link_o_target, $(LGOBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/ti/panda/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(BOARD).o

COBJS-$(CONFIG_USB_EHCI) += ehci-panda.o

ifndef CONFIG_SPL_BUILD
COBJS	:= $(COBJS-y) panda.o
endif

SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

clean:
	rm -f $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak $(obj).depend

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== drivers/usb/host/Makefile ===
#
# (C) Copyright 2000-2007
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	:= $(obj)libusb_host.o

# ohci
COBJS-$(CONFIG_USB_OHCI_NEW) += ohci-hcd.o
COBJS-$(CONFIG_USB_ATMEL) += ohci-at91.o
COBJS-$(CONFIG_USB_ISP116X_HCD) += isp116x-hcd.o
COBJS-$(CONFIG_USB_R8A66597_HCD) += r8a66597-hcd.o
COBJS-$(CONFIG_USB_S3C64XX) += s3c64xx-hcd.o
COBJS-$(CONFIG_USB_SL811HS) += sl811-hcd.o

# echi
COBJS-$(CONFIG_USB_EHCI) += ehci-hcd.o
ifdef CONFIG_MPC512X
COBJS-$(CONFIG_USB_EHCI_FSL) += ehci-mpc512x.o
else
COBJS-$(CONFIG_USB_EHCI_FSL) += ehci-fsl.o
endif
COBJS-$(CONFIG_USB_EHCI_MXC) += ehci-mxc.o
COBJS-$(CONFIG_USB_EHCI_PPC4XX) += ehci-ppc4xx.o
COBJS-$(CONFIG_USB_EHCI_IXP4XX) += ehci-ixp.o
COBJS-$(CONFIG_USB_EHCI_KIRKWOOD) += ehci-kirkwood.o
COBJS-$(CONFIG_USB_EHCI_PCI) += ehci-pci.o
COBJS-$(CONFIG_USB_EHCI_VCT) += ehci-vct.o
COBJS-$(CONFIG_USB_EHCI_OMAP4) += ehci-omap4.o

COBJS	:= $(COBJS-y)
SRCS	:= $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))

all:	$(LIB)

$(LIB):	$(obj).depend $(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== arch/arm/cpu/armv7/omap3/Makefile ===
#
# (C) Copyright 2000-2003
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	=  $(obj)lib$(SOC).o

SOBJS	:= lowlevel_init.o
SOBJS	+= cache.o

COBJS	+= board.o
COBJS	+= clock.o
COBJS	+= mem.o
COBJS	+= sys_info.o

COBJS-$(CONFIG_EMIF4)	+= emif4.o
COBJS-$(CONFIG_SDRC)	+= sdrc.o

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS) $(COBJS-y) $(SOBJS))

all:	 $(obj).depend $(LIB)

$(LIB):	$(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== arch/arm/cpu/armv7/omap4/Makefile ===
#
# (C) Copyright 2000-2010
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	=  $(obj)lib$(SOC).o

SOBJS	+= lowlevel_init.o

COBJS	+= board.o
COBJS	+= clocks.o
COBJS	+= emif.o
COBJS	+= sdram_elpida.o

ifndef CONFIG_SPL_BUILD
COBJS	+= mem.o
COBJS	+= sys_info.o
endif

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS) $(SOBJS))

all:	 $(obj).depend $(LIB)

$(LIB):	$(OBJS)
	$(call cmd_link_o_target, $(OBJS))

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== debian/changelog ===
u-boot-linaro (2011.09.6-0ubuntu1) oneiric; urgency=low

  * omap4: reduce default operating point for 4460 devices
    Reduce the operating point for 4460 to OPP100 (MPU at 700MHz)
    (LP: #867670)
      From bug report:
        With both A9 cores loaded 4460 reaches max temperature in about 30s at the
        current operating point of 930MHz. The operating point should be lowered to
        700MHz.
        It appears the panda heats more than I thought (and much more that the blaze),
        and by loading the 2 cores I can quite easily reach max temperature at 920MHz
        (it takes around 30s on my board!).
        At 700MHz, the temperature still increases but much slower. So if the A9 cores
        do not run at 100% all the time we shall be ok.
        So for now, we definitely need this change if we don't want to run with a
        heatsink...
  * mmc: omap: enable high capacity
      Enable high capacity to host capability.
      Fixes eMMC detection on boot from MMC/SD card.
    mmc: omap: config VMMC, MMC1_PBIAS
      Config VMMC voltage to 3V for MMC/SD card slot
      and PBIAS settings needed for OMAP4
    (LP: #867650)

 -- John Rigby <john.rigby@linaro.org>  Wed, 05 Oct 2011 17:17:34 -0600

u-boot-linaro (2011.09.5-0ubuntu1) oneiric; urgency=low

  * FFe: u-boot-linaro 11.09, misc fixes for new silicon and boards
    (LP: #851974)
    mmc: omap: enable high capacity
    mmc: omap: config VMMC, MMC1_PBIAS
    omap4: fix pad configuration settings for SDP and Panda
    omap4: make SDRAM init work for ES1.0 silicon
    omap4: IO settings 
    pxe: make the first label the implicit default
    OMAP4: removing fdt_addr from the default env
    U-Boot/SPL: omap4: Make ddr pre-calculated timings as default.
    (LP: #837235)
    Revert "armv7: adapt omap3 to the new cache maintenance framework"
    (LP: #862013)

 -- John Rigby <john.rigby@linaro.org>  Thu, 29 Sep 2011 00:40:24 -0600

u-boot-linaro (2011.08.6-0ubuntu2) oneiric; urgency=low

  * FFe: enabling build and package for OMAP4 SDP4430 (LP: #839615)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Fri, 02 Sep 2011 10:10:40 -0300

u-boot-linaro (2011.08.6-0ubuntu1) oneiric; urgency=low

  * Allow loading of u-boot.bin as well as u-boot.img 
    Feature freeze exception (LP: #836748)

 -- John Rigby <john.rigby@linaro.org>  Mon, 29 Aug 2011 09:15:47 -0600

u-boot-linaro (2011.08.5-0ubuntu1) oneiric; urgency=low

  * Same upstream, new upload for oneiric.
    Feature freeze exception (LP: #833876)

 -- John Rigby <john.rigby@linaro.org>  Thu, 25 Aug 2011 10:21:43 -0600

u-boot-linaro (2011.08.5-0ubuntu1~ppa~natty1) natty; urgency=low

  * New upstream 2011.08.3
    - arm: do not force d-cache enable on all boards

 -- John Rigby <john.rigby@linaro.org>  Wed, 24 Aug 2011 10:21:48 -0600

u-boot-linaro (2011.08.4-0ubuntu1~ppa~natty1) natty; urgency=low

  * No upstream changes.
    Packaging changes to give better control of build and install
    targets.  Add new column to platforms-debs-targets to add explicit
    install file list.  Use '-' in build target column to mean default. 
    Add comments to document columns.  The result of all this is
    that no extra files get copied to the .deb file.

 -- John Rigby <john.rigby@linaro.org>  Fri, 19 Aug 2011 09:55:47 -0600

u-boot-linaro (2011.08.4-0ubuntu1~ppa~natty) natty; urgency=low

  * New upstream 2011.08.3
    - OMAP4 Panda: reapplying panda specific mux changes

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Aug 2011 23:58:41 -0600

u-boot-linaro (2011.08.3-0ubuntu1~ppa~natty) natty; urgency=low

  * New upstream 2011.08.3 which fixes booting problems on OMAP3 
    - Revert "armv7: adapt omap3 to the new cache maintenance framework"

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Aug 2011 15:25:26 -0600

u-boot-linaro (2011.08.1-0ubuntu1~ppa~natty) natty; urgency=low

  * New upstream 2011.08.1 which includes
    - MLO for OMAP4 Panda comes from u-boot's new spl feature
    - PXE is now backup default boot for OMAP4 Panda
      (LP: #826877, #820121)
    - Change MAXARGS for Panda to 32
      (LP: #820116)
    - pxecfg: Prefix MAC-based requests with "01-"
      (LP: #827705)
    - net/eth.c: fix eth_write_hwaddr() to use dev->enetaddr as fall back
      (LP: #817315)
  * Rename platform-and-targets to debian/platforms-debs-targets and rearrange
    to have target column which is now optional last.  Modify rules to only
    use target on make invocation when it exists.  This means that targets 
    only the mx targets need the u-boot.imx target since the u-boot build
    system does NOT just do the right thing without it.  Also skip lines
    in platforms-debs-targets that begin with # to allow for comments. 

 -- John Rigby <john.rigby@linaro.org>  Wed, 17 Aug 2011 09:09:17 -0600

u-boot-linaro (2011.07.2-0ubuntu1~natty1) natty; urgency=low

  * New upstream 2011.07.1 which includes
    Add uboot "fdt_high" enviroment variable (LP: #707047)
    Fix typo from 'mb_alloc' -> 'lmb_alloc'

 -- John Rigby <john.rigby@linaro.org>  Mon, 25 Jul 2011 16:31:28 -0600

u-boot-linaro (2011.07.1-0ubuntu1) oneiric; urgency=low

  * New upstream 2011.07.1 which includes
     - PXE FDT fix from previous ubuntu release so patch has been removed
     - Added missing PXE env vars (LP: #808815)
     - Generated unique usbethaddr (LP: #809015)
     - Modify pxe command to look for usbethaddr if ethaddr is NULL

 -- John Rigby <john.rigby@linaro.org>  Wed, 13 Jul 2011 23:31:39 -0600

u-boot-linaro (2011.06.5-0ubuntu2) oneiric; urgency=low

  * debian/patches/0001-cmd_pxecfg-only-call-do_bootm-with-argc-4-if-fdtaddr.patch:
    - Fix PXE when built with FDT but without loading it at runtime (LP: #808612)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 11 Jul 2011 02:13:14 -0300

u-boot-linaro (2011.06.5-0ubuntu1) oneiric; urgency=low

  * Use gcc 4.5 since usb fails with 4.6 
    Adding CC= on make command line this time so it actually works


=== debian/control ===
Source: u-boot-linaro
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Rigby <john.rigby@linaro.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), gcc-4.5
Standards-Version: 3.9.1
Vcs-Git: git://git.linaro.org/boot/u-boot-linaro-stable.git

Package: u-boot-linaro-ca9x4-ct-vxp
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ARM ca9x4_ct_vxp (Versatile Express) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-efikamx
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Genesi i.MX515 Efika MX
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-highbank
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Calxeda Highbank
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-igep0020
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the ISEE igep0020 (IGEPv2) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx51evk
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX51 mx51evk (Babbage) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-mx53loco
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the Freescale i.MX53 mx53loco (Babbage) board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap3-beagle
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for various TI OMAP3 Beagle boards
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on those boards. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap3-overo
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for Gumstix Overo boards
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on those boards. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap4-panda
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the TI OMAP4 Panda board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

Package: u-boot-linaro-omap4-sdp4430
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: U-Boot bootloader binary for the TI OMAP4 SDP4430 board
 This package contains the U-Boot bootloader which is responsible for
 loading and executing the Linux kernel on this board. This package
 contains the u-boot binary blob, and is not usually needed on a normal
 system

=== debian/rules ===
#!/usr/bin/make -f

# the upstream build passes LDFLAGS directly to ld instead of calling gcc for
# linking; so instead of passing -Wl,foo in LDFLAGS as in automake builds, one
# should set LDFLAGS to foo directly
comma := ,
LDFLAGS := $(patsubst -Wl$(comma)%,%,$(LDFLAGS))

# remove -Bsymbolic-functions from LDFLAGS because is messes up ld and some
# initializations end up being zero
LDFLAGS := $(patsubst -Bsymbolic-functions,,$(LDFLAGS))

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export CROSS_COMPILE?=$(DEB_HOST_GNU_TYPE)-
endif

deb_source := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
deb_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
upstream_version := $(shell echo '$(deb_version)' | sed 's/.*://; s/-[^-]*$$//')

# usb in u-boot is broken with 4.6 so use 4.5
export CC=$(CROSS_COMPILE)gcc-4.5

# --remote doesn't work with git.linaro.org so this needs to be
# run from a local checkout
get-orig-source:
	rm -rf $(deb_source)-$(upstream_version)
	rm -f $(deb_source)-$(upstream_version).orig.tar.gz
	git clone --depth 1 git://git.linaro.org/boot/u-boot-linaro-stable.git $(deb_source)-$(upstream_version)
	cd $(deb_source)-$(upstream_version) && git archive \
		--format=tar \
		--prefix=$(deb_source)-$(upstream_version)/ \
		$(upstream_version) \
		| gzip >../$(deb_source)_$(upstream_version).orig.tar.gz
	rm -rf $(deb_source)-$(upstream_version)

%:
	dh --with quilt $@

override_dh_auto_clean:
	# upstream only cleans these files if passing the right O=, but it
	# shouldn't create these the source tree in the first place
	# XXX this hardcodes "arm"
	rm -f arch/arm/include/asm/arch arch/arm/include/asm/proc
	rm -rf debian/build

override_dh_auto_build:
	while read plat deb buildtarget ignoreinstalltargets; do \
		expr $$plat : "^#" > /dev/null && continue; \
		mkdir -p debian/build/$$plat; \
		$(MAKE) O=$$PWD/debian/build/$$plat $${plat}_config; \
		test "$$buildtarget" = "-" && $(MAKE) CC="$(CC)" O=$$PWD/debian/build/$$plat; \
		test "$$buildtarget" != "-" && $(MAKE) CC="$(CC)" O=$$PWD/debian/build/$$plat \
			$$PWD/debian/build/$$plat/$$buildtarget; \
		true; \
	done <debian/platforms-debs-targets

override_dh_auto_install:
	while read plat deb ignorebuildtarget installtargets; do \
		expr $$plat : "^#" > /dev/null && continue; \
		for target in $$installtargets; do \
			test -e debian/build/$$plat/$$target && \
				install	-D -m644 debian/build/$$plat/$$target \
				debian/u-boot-linaro-$$deb/usr/lib/u-boot/$$plat/$$target; \
		done; \
		true; \
	done <debian/platforms-debs-targets
